ENV(1)

NAAM
env - voer een programma in een gewijzigde omgeving uit

SAMENVATTING
env [OPTIE]... [-] [NAAM=WAARDE]... [COMMANDO [ARGUMENT]...]

BESCHRIJVING

Kent de gegeven WAARDE aan omgevingsvariabele NAAM toe en voert COMMANDO uit.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

-i, --ignore-environment
    alle ongenoemde omgevingsvariabelen verwijderen

-0, --null
    elke regel afsluiten met NUL-byte, niet met nieuwe regel

-u, --unset=NAAM
    de genoemde variabele uit de omgeving verwijderen

-C, --chdir=MAP
    huidige map wijzigen naar MAP

-S, --split-string=T
    deze tekenreeks in aparte argumenten opsplitsen; nuttig voor de '#!'-regel in scripts

--block-signal[=SIG]
    signalen (of dit signaal) aan COMMANDO blokkeren

--default-signal[=SIG]
    afhandeling van signalen (of van dit signaal) terugzetten op de standaard

--ignore-signal[=SIG]
    stel afhandeling van SIG signa(a)l(en) in op negeren

--list-signal-handling
    de niet-standaard signaalafhandelingen tonen

-v, --debug
    gedetailleerde informatie weergeven voor elke stap

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

Een losse '-' betekent hetzelfde als -i. Zonder COMMANDO wordt de resulterende omgeving getoond.

SIGNAAL mag een signaalnaam zijn zoals 'PIPE', of een signaalnummer zoals '13'. Zonder SIGNAAL worden all bekende signalen genomen. Meerdere signalen kunnen gegeven worden gescheiden door komma's.

OPTIES

  -S/--split-string gebruik in scripts
De -S optie staat toe om meerdere parameters te gebruiken in een script. Uitvoeren van een script met de naam 1.pl dat als eerste regel bevat:

    #!/usr/bin/env -S perl -w -T
    ...

zal uitvoeren perl -w -T 1.pl .

Zonder de '-S' parameter zal het script falen met:

    /usr/bin/env: 'perl -w -T': Bestand of map niet gevonden

Zie de volledige documentatie voor meer details.

  --default-signal[=SIG] gebruik
Deze optie staat toe de standaard actie voor de signaal verwerker in te stellen, iets dat niet mogelijk is bij gebruik van het gewone shell trap commando. Het volgende voorbeeld zorgt ervoor dat seq wordt beeindigd door SIGPIPE waarbij het niet uitmaakt hoe dit signaal wordt afgehandeld door het proces dat het commando heeft aangeroepen.

    sh -c 'env --default-signal=PIPE seq inf | head -n1'

OPMERKINGEN
POSIX's exec(3p) pagina schrijft:
    "veel bestaande toepassingen maken de aanname dat zij starten met bepaalde signalen die zijn ingesteld als standaard actie en/of niet geblokkeerd.... Daarom, is het beter signalen niet te blokkeren of te negeren voor uitvoeren zonder een expliciete reden om dat te doen, en speciaal signalen voor uitvoeren niet te blokkeren van willekeurige programma´s"

AUTEUR
Geschreven door Richard Mlynarik, David MacKenzie en Assaf Gordon.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
sigaction(2), sigprocmask(2), signal(7)

Volledige documentatie op: <https://www.gnu.org/software/coreutils/env>
of lokaal via: info '(coreutils) env invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.